Forge: Error Class Reference

Forge

Public Member Functions | Friends
Error Class Reference

`#include <exception.h>`

Inheritance diagram for Error:

## Public Member Functions
ErrorCode | err () const
| Error ()
| Error (const char *const pMessage)
| Error (const char *const pFileName, int pLine, ErrorCode pErrCode)
| Error (const char *const pMessage, const char *const pFileName, int pLine, ErrorCode pErrCode)
| Error (const char *const pMessage, const char *const pFuncName, const char *const pFileName, int pLine, ErrorCode pErrCode)
virtual | ~Error () throw ()
virtual const char * | what () const throw ()

## Friends
std::ostream & | operator<< (std::ostream &s, const Error &e)

## Detailed Description

Examples:
  opencl/bubblechart.cpp, opencl/field.cpp, opencl/fractal.cpp, opencl/histogram.cpp, opencl/plot3.cpp, opencl/plotting.cpp, opencl/stream.cpp, and opencl/surface.cpp.

## Constructor & Destructor Documentation

## § Error() [1/5]

Error | ( |  | ) |

## § Error() [2/5]

Error | ( | const char *const | pMessage | ) |

## § Error() [3/5]

Error | ( | const char *const | pFileName,
|  | int | pLine,
|  | ErrorCode | pErrCode
| ) |  |

## § Error() [4/5]

Error | ( | const char *const | pMessage,
|  | const char *const | pFileName,
|  | int | pLine,
|  | ErrorCode | pErrCode
| ) |  |

## § Error() [5/5]

Error | ( | const char *const | pMessage,
|  | const char *const | pFuncName,
|  | const char *const | pFileName,
|  | int | pLine,
|  | ErrorCode | pErrCode
| ) |  |

## § ~Error()

virtual ~Error | ( |  | ) |
throw | ( |
| ) |  |
| virtual

## Member Function Documentation

## § err()

ErrorCode err | ( |  | ) | const
| inline

Examples:
  opencl/bubblechart.cpp, opencl/field.cpp, opencl/fractal.cpp, opencl/histogram.cpp, opencl/plot3.cpp, opencl/plotting.cpp, opencl/stream.cpp, and opencl/surface.cpp.

## § what()

virtual const char* what | ( |  | ) | const
throw | ( |
| ) |  |
| inlinevirtual

Examples:
  opencl/bubblechart.cpp, opencl/field.cpp, opencl/fractal.cpp, opencl/histogram.cpp, opencl/plot3.cpp, opencl/plotting.cpp, opencl/stream.cpp, and opencl/surface.cpp.

## Friends And Related Function Documentation

## § operator<<

std::ostream& operator<< | ( | std::ostream & | s,
|  | const Error & | e
| ) |  |
| friend

The documentation for this class was generated from the following file:

- exception.h